Page MenuHomePhabricator

Integrate Parsoid/PHP with core as a composer library
Closed, ResolvedPublicGoal

Description

Parsoid/PHP is currently used as a faux extension. We adopted this strategy so as to speed up Parsoid/PHP deployment while waiting on PHP 7.x adoption, and addressing technical debt. Now that Parsoid/PHP is in production, and the production clusters use PHP 7.x, we can address the technical debt pieces in Parsoid and stop using Parsoid/PHP as an extension.

Subtasks will address specific aspects of this work.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
OpenNone
ResolvedGoalcscott
Resolvedcscott
Resolvedcscott
Resolvedcscott
ResolvedDzahn
DeclinedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedKrenair
ResolvedKrenair
ResolvedDzahn
ResolvedKrenair
Resolvedcscott

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2019, 8:47 PM
ssastry added a subscriber: ssastry.Dec 6 2019, 6:14 PM

I am going to unlink this with the subtask because in its current form, I am likely going to decline. I'll post my reasoning shortly and we can discuss and retarget it appropriately.

I am going to unlink this with the subtask because in its current form, I am likely going to decline. I'll post my reasoning shortly and we can discuss and retarget it appropriately.

Or you could re-phase the task into the work you said you were going to do…

ssastry renamed this task from Merge Parsoid PHP code into MediaWiki core to Tracking: Integrate Parsoid/PHP with core as a composer library.Dec 6 2019, 6:58 PM
ssastry triaged this task as Medium priority.
ssastry updated the task description. (Show Details)
ssastry renamed this task from Tracking: Integrate Parsoid/PHP with core as a composer library to Integrate Parsoid/PHP with core as a composer library.Dec 6 2019, 7:02 PM
ssastry updated the task description. (Show Details)
ssastry changed the subtype of this task from "Task" to "Goal".

Change 572035 had a related patch set uploaded (by Jforrester; owner: C. Scott Ananian):
[mediawiki/core@master] Add Parsoid as a library dependency

https://gerrit.wikimedia.org/r/572035

Change 572047 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Add wikimedia/parsoid at 0.12.0-a1

https://gerrit.wikimedia.org/r/572047

Change 572047 merged by jenkins-bot:
[mediawiki/vendor@master] Add wikimedia/parsoid at 0.12.0-a2

https://gerrit.wikimedia.org/r/572047

Change 572035 merged by jenkins-bot:
[mediawiki/core@master] Add Parsoid as a library dependency

https://gerrit.wikimedia.org/r/572035

ssastry assigned this task to cscott.Mar 6 2020, 5:05 PM
ssastry closed this task as Resolved.Mar 20 2020, 4:05 PM